liquidations
Get liquidation infos
get/api/v1/liquidations
Query parameters
account_indexinteger · int64Required
Account index to query.
market_idinteger · int16OptionalDefault:
Public market identifier returned by orderBooks or events.
255cursorstringOptional
Opaque pagination cursor returned by the previous response; pass it unchanged.
limitinteger · int64 · min: 1 · max: 100Required
Maximum number of records to return.
Header parameters
authorizationstringRequired
Auth token in the Authorization header.
Responses
200
A successful response.
application/json
Fields with zero or empty values may be omitted; handle optional properties when decoding responses.
codeinteger · int32RequiredExample:
200messagestringOptional
next_cursorstringOptional
400
Bad request
application/json
get/api/v1/liquidations
GET /api/v1/liquidations?account_index=1&limit=1 HTTP/1.1
Host: mainnet.zklighter.elliot.ai
authorization: text
Accept: */*
{
"code": 200,
"message": "text",
"liquidations": [
{
"id": 1,
"market_id": 1,
"type": "partial",
"trade": {
"price": "text",
"size": "text",
"taker_fee": "text",
"maker_fee": "text",
"transaction_time": 1,
"bid_account_id": 3,
"ask_account_id": 1
},
"info": {
"positions": [
{
"market_id": 1,
"symbol": "ETH",
"initial_margin_fraction": "20.00",
"open_order_count": 3,
"pending_order_count": 3,
"position_tied_order_count": 3,
"sign": 1,
"position": "3.6956",
"avg_entry_price": "3024.66",
"position_value": "3019.92",
"unrealized_pnl": "17.521309",
"realized_pnl": "2.000000",
"liquidation_price": "3024.66",
"total_funding_paid_out": "34.2",
"margin_mode": 1,
"allocated_margin": "46342",
"total_discount": "text",
"margin_set_flag": 1
}
],
"risk_info_before": {
"cross_risk_parameters": {
"market_id": 1,
"collateral": "text",
"total_account_value": "text",
"initial_margin_req": "text",
"maintenance_margin_req": "text",
"close_out_margin_req": "text",
"total_account_liquidation_threshold": "text",
"usdc_collateral_with_funding": "text",
"usdc_portfolio_value": "text",
"total_portfolio_value": "text"
},
"isolated_risk_parameters": [
{
"market_id": 1,
"collateral": "text",
"total_account_value": "text",
"initial_margin_req": "text",
"maintenance_margin_req": "text",
"close_out_margin_req": "text",
"total_account_liquidation_threshold": "text",
"usdc_collateral_with_funding": "text",
"usdc_portfolio_value": "text",
"total_portfolio_value": "text"
}
]
},
"risk_info_after": {
"cross_risk_parameters": {
"market_id": 1,
"collateral": "text",
"total_account_value": "text",
"initial_margin_req": "text",
"maintenance_margin_req": "text",
"close_out_margin_req": "text",
"total_account_liquidation_threshold": "text",
"usdc_collateral_with_funding": "text",
"usdc_portfolio_value": "text",
"total_portfolio_value": "text"
},
"isolated_risk_parameters": [
{
"market_id": 1,
"collateral": "text",
"total_account_value": "text",
"initial_margin_req": "text",
"maintenance_margin_req": "text",
"close_out_margin_req": "text",
"total_account_liquidation_threshold": "text",
"usdc_collateral_with_funding": "text",
"usdc_portfolio_value": "text",
"total_portfolio_value": "text"
}
]
},
"mark_prices": {
"ANY_ADDITIONAL_PROPERTY": 1
},
"assets": [
{
"symbol": "USDC",
"asset_id": 1,
"balance": "1000",
"locked_balance": "1000",
"margin_balance": "1000",
"margin_mode": "enabled",
"multiplier": "1.000000000000000000"
}
],
"asset_index_prices": {
"ANY_ADDITIONAL_PROPERTY": "text"
}
},
"executed_at": 1
}
],
"next_cursor": "text"
}Last updated
Was this helpful?